Name:           python-socketscpi
Version:        2025.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        socketscpi provides a robust SCPI interface to electronic test and measurement equipment via raw socket protocol, removing the requirement for VISA and improving data transfer speed over VXI-11.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/morgan-at-keysight/socketscpi
Source:         %{pypi_source socketscpi}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'socketscpi' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-socketscpi
Summary:        %{summary}

%description -n python3-socketscpi %_description


%prep
%autosetup -p1 -n socketscpi-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-socketscpi -f %{pyproject_files}


%changelog
%autochangelog